{ config, lib, pkgs, inputs, ... }:

with lib;

let cfg = config.modules.alacritty;
in {
  options.modules.alacritty = { enable = mkOption { default = false; }; };

  config = mkIf cfg.enable {
    # Does not work on non-nixos due to opengl
    # home.packages = with pkgs; [ alacritty ];

    home.file = {
      ".config/alacritty/theme".source = "${inputs.alacritty-theme}";
      ".config/alacritty" = {
        source = ../../alacritty;
        recursive = true;
      };
    };
  };
}
