{ config, lib, pkgs, ... }:

with lib;

let cfg = config.modules.i3;
in {
  options.modules.i3 = { enable = mkOption { default = false; }; };

  config = mkIf cfg.enable {
    xsession.windowManager.i3 = { enable = true; };
    programs = { i3status-rust = { enable = true; }; };

    home.file = {
      ".config/i3" = {
        source = ../../i3/i3;
        recursive = true;
      };
      ".config/i3status-rust/config.toml".source =
        ../../i3/i3status-rust/config.toml;
    };

    home.file = { ".profile".source = ../../i3/.profile; };
  };
}
