{ config, lib, pkgs, ... }:

with lib;

let cfg = config.modules.topgrade;
in {
  options.modules.topgrade = { enable = mkOption { default = false; }; };

  config = mkIf cfg.enable {
    programs.topgrade = {
      enable = true;
      settings = {
        misc.no_self_update = true;

        git = {
          # Additional git repositories to pull
          repos = [ "~/.dotfiles" ];

          pull_only_repos = [ "~/dev/*" ];
        };
      };
    };
  };
}
